"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const SwaggerController_1 = require("../src/SwaggerController");
class SwaggerProvider {
    constructor(app) {
        this.app = app;
    }
    async register() { }
    async boot() {
        this.initSwaggerRoutes();
    }
    initSwaggerRoutes() {
        const config = this.app.container.resolveBinding('Adonis/Core/Config');
        const router = this.app.container.resolveBinding('Adonis/Core/Route');
        const controller = new SwaggerController_1.SwaggerController(this.app.container);
        if (config.get('swagger.uiEnabled', true)) {
            router
                .get(`${config.get('swagger.uiUrl', 'docs')}/:fileName?`, controller.swaggerUI.bind(controller))
                .middleware(config.get('swagger.middleware', []));
        }
        if (config.get('swagger.specEnabled', true)) {
            router
                .get(config.get('swagger.specUrl'), controller.swaggerFile.bind(controller))
                .middleware(config.get('swagger.middleware', []));
        }
    }
}
exports.default = SwaggerProvider;
SwaggerProvider.needsApplication = true;
